import request from '@/utils/request'

// 查询急救箱列表
export function listAidkit(query) {
  return request({
    url: '/dev/aidkit/list',
    method: 'get',
    params: query
  })
}

// 查询急救箱详细
export function getAidkit(id) {
  return request({
    url: '/dev/aidkit/' + id,
    method: 'get'
  })
}

// 新增急救箱
export function addAidkit(data) {
  return request({
    url: '/dev/aidkit',
    method: 'post',
    data: data
  })
}

// 修改急救箱
export function updateAidkit(data) {
  return request({
    url: '/dev/aidkit',
    method: 'put',
    data: data
  })
}

// 删除急救箱
export function delAidkit(id) {
  return request({
    url: '/dev/aidkit/' + id,
    method: 'delete'
  })
}

// 导出急救箱
export function exportAidkit(query) {
  return request({
    url: '/dev/aidkit/export',
    method: 'get',
    params: query
  })
}